MEMPOOL_ALLOC(9)

NAME
mempool_alloc - allocate an element from a specific memory pool

SYNOPSIS

void * mempool_alloc (mempool_t * pool, gfp_t gfp_mask);

ARGUMENTS

pool
    pointer to the memory pool which was allocated via mempool_create.

gfp_mask
    the usual allocation bitmask.

DESCRIPTION

this function only sleeps if the alloc_fn function sleeps or returns NULL. Note that due to preallocation, this function *never* fails when called from process contexts. (it might fail if called from an IRQ context.)